package com.ss.android.ugc.aweme.shortvideo.ui.viewmodel;

import X.0Bt;
import X.0Bu;
import X.0PL;
import X.1Bn;
import X.1Hw;
import X.4r1;
import X.C57657Mt;
import X.C57667Mu;
import X.C57677Mv;
import X.D8s;
import X.DAe;
import X.M12;
import X.OjD;
import androidx.lifecycle.LiveData;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.shortvideo.edit.VideoPublishEditModel;

public final class TTEPVideoSaveViewModel extends 0Bt {
    public final 1Hw<C57667Mu> LIZ;
    public final LiveData<Boolean> LIZIZ;
    public final 0PL<C57667Mu> LIZJ;
    public final OjD LIZLLL;
    public final VideoPublishEditModel LJ;
    public final 1Bn<Boolean> LJFF;

    static {
        Covode.recordClassIndex(113406);
    }

    public final void LIZ(boolean z) {
        if (z) {
            DAe.LIZ(0Bu.LIZ(this), (D8s) null, new C57657Mt(this, (4r1) null), 3);
        } else {
            this.LIZ.LIZ(C57677Mv.LIZ);
        }
    }

    public TTEPVideoSaveViewModel(OjD ojD, VideoPublishEditModel videoPublishEditModel) {
        M12.LIZ(ojD, videoPublishEditModel);
        this.LIZLLL = ojD;
        this.LJ = videoPublishEditModel;
        1Bn<Boolean> r1 = new 1Bn<>(true);
        this.LJFF = r1;
        1Hw<C57667Mu> r0 = new 1Hw<>();
        this.LIZ = r0;
        this.LIZIZ = r1;
        this.LIZJ = r0;
    }
}
